Get Piece Shredding Details
GET /pieces/{piece_id}/disposal
Gets the details of the pending or completed shredding request for a piece.
Authorizations
Section titled “Authorizations”Send your API key in the x-api-key header.
See Authentication.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Responses
Section titled “ Responses ”Success
object
shredobject
14460059975990000000101 0016615290433808312186object
122028Bruce Wayne97599[ "unscanned", "read", "inbox", "stored"][ "unscanned", "read", "inbox", "stored"]0.1623.90.18.88object
UnknownUnknownobject
1_1_2_0_0image/jpg[ "color", "large", "enclosure", "front"]144600591mailletterobject
object
3001Urgent12Example
{ "id": 100001, "piece_id": 100002, "created_at": "2020-05-10T10:00:00Z", "updated_at": "2020-05-10T10:00:00Z", "operation_action": "shred", "tags": [], "estimated_completed_at": "2020-05-12T10:00:00Z", "completed_at": null, "delete_scans": false, "piece": null}The x-api-key header is missing or the key is not valid, or the caller can’t access an ID in the request. IDs that don’t exist return the same response as IDs the caller can’t access.
Error envelope returned with 4xx and 5xx responses.
object
object
Usually the HTTP status code. It can differ; a request to an unknown path returns HTTP 400 with code 500.
401Human-readable description of the error.
The kind of error, for example Authorization or REST.
RESTReturned only with 422 responses. It may give more details about what failed validation, as lists of messages keyed by the name of the input.
object
Examples
{ "error": { "code": 401, "message": "The request does not include a valid access token. Please provide a valid access token.", "type": "Authorization" }}{ "error": { "code": 401, "message": "x-api-key: x-api-key is invalid", "type": "REST" }}{ "error": { "code": 401, "message": "User does not have access to requested resource.", "type": "Authorization" }}The piece has no pending shred request.
Error envelope returned with 4xx and 5xx responses.
object
object
Usually the HTTP status code. It can differ; a request to an unknown path returns HTTP 400 with code 500.
401Human-readable description of the error.
The kind of error, for example Authorization or REST.
RESTReturned only with 422 responses. It may give more details about what failed validation, as lists of messages keyed by the name of the input.
object
Example
{ "error": { "code": 404, "message": "piece_id: Piece with ID 14460059 does not have outstanding Operation of type Recycle.", "type": "REST" }}